/**Begin D:\PDM\PDM_UPGRADE\pdm1\BCM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCM_AUTH_DATA') 
 CREATE TABLE T_BCM_AUTH_DATA (
FID BIGINT DEFAULT 0 NOT NULL,
FUSERNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FUSERSID BIGINT DEFAULT 0 NOT NULL,
FUSERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FMODELID BIGINT DEFAULT 0 NOT NULL,
FAUTHCLASS BIGINT DEFAULT 0 NOT NULL,
FAUTHORITY VARCHAR(50) DEFAULT ' ' NOT NULL,
FLEVEL1 VARCHAR(50) DEFAULT ' ' NOT NULL,
FLEVEL2 VARCHAR(50) DEFAULT ' ' NOT NULL,
FLEVEL3 VARCHAR(50) DEFAULT ' ' NOT NULL,
FLEVEL4 VARCHAR(50) DEFAULT ' ' NOT NULL,
FLEVEL5 VARCHAR(50) DEFAULT ' ' NOT NULL,
FLEVEL6 VARCHAR(50) DEFAULT ' ' NOT NULL,
FLEVEL7 VARCHAR(50) DEFAULT ' ' NOT NULL,
FLEVEL8 VARCHAR(50) DEFAULT ' ' NOT NULL,
FLEVEL9 VARCHAR(50) DEFAULT ' ' NOT NULL,
FLEVEL10 VARCHAR(50) DEFAULT ' ' NOT NULL,
FLEVEL11 VARCHAR(50) DEFAULT ' ' NOT NULL,
FLEVEL12 VARCHAR(50) DEFAULT ' ' NOT NULL,
FLEVEL13 VARCHAR(50) DEFAULT ' ' NOT NULL,
FLEVEL14 VARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End D:\PDM\PDM_UPGRADE\pdm1\BCM_table.sql **/
